Besoin d'aide a l'installation d'une camera pour linuxcnc sous Wheezy

  • Auteur de la discussion Mandrak
  • Date de début
M
Mandrak
Apprenti
30 Jan 2015
221
Le Sud
  • Auteur de la discussion
  • #1
Bonjour a tous

Ca fait plusieurs jours que j'essaye d'installer une camera usb type endoscope sur Wheezy, hélas je n'y arrive pas, j'ai suivi plusieurs explications tel que celle-ci (en allemand, traduite via google ) sans parlé des autres ou il est question de camview, mplayer qui apparemment n'est plus distribué ou obsolète.
La camera est détecter avec VLC puis ce que je vois a l’écran ce que film la caméra.
J'ai suivi les étapes d’installation de qv4l2 mais a chaque fois que je lance dans le terminal la commande, root@nono:/home/nono# sudo apt-get install qv4l2
et ca ainsi pour toutes les commande qui sont dans l'explication, j’ai un retour de, E: impossible de trouver le paquet qv4l2 et pareil pour le reste.
Mes connaissance de linux sont pas terrible et je doit dire que je suis perdu, a chaque fois que j'essaye de suivre un tuto ou autres explications d'installation sa ce termine par un échec.

je recherche un peu d'aide afin de pouvoir intégré une camera de centrage dans linuxcnc (version 2.7.14) avec l'interface Gmoccapy.
Merci a tous ceux qui pourront m'apporter de l'aide.
 
F
francis75
Ouvrier
19 Sept 2013
431
Paris 10e
Bonjour,

Malheureusement je n'ai pas de débian.
Cependant,

Tout indique que le paquet n'est pas trouvé.

# Pour être root une bonne fois pour toute
sudo su
# Mettre à jour la base de données des paquets disponibles
apt-get update
# Installer, si dispo
apt-get install qv4l2

Si toujours pas trouvé, recherche dans la base de données
apt-cache search -n qv4l2


Si pas trouvé, rechercher sur les forums Débian comment il s'installe. l'info doit y être, mais c'est vrai que en 5 minutes je ne l'ai trouvée que pour Débian 8.
Il faut certainement ajouter un dépôt à la base de données.

En dernière extrémité (j'ai bien écrit en dernière extrémité), le paquet est ici :

Le télécharger et l'installer par
dpkg -i <le paquet>


[EDIT]
Au fait, si dans le terminal chaque ligne commence par
root@nono:
c'est que vous êtes root, donc inutile de commencer les commandes par sudo !

Vous pouvez vérifier que vous êtes bien root par :
id
--> uid=0(root) gid=0(root) ....


D'après le nom, qv4l2 doit être une interface graphique à v4l,2
donc installer aussi v4l-utils :
apt-get install v4l-utils
 
Dernière édition:
M
Mandrak
Apprenti
30 Jan 2015
221
Le Sud
  • Auteur de la discussion
  • #3
Bonsoir francis75
Merci de m'avoir repondu si rapidement.

# Pour être root une bonne fois pour toute
sudo su
# Mettre à jour la base de données des paquets disponibles
apt-get update
# Installer, si dispo
apt-get install qv4l2
Ca je l'avais fait

Si toujours pas trouvé, recherche dans la base de données
apt-cache search -n qv4l2
Le resultat ne me donne rien appriori.
468149


J'ai chercher au travers de divers forums mais a chaque fois que j'essaye ce qu'il es expliqué c'est un echec, peut etre que j'interprète mal pas meconnaissance.

Il faut certainement ajouter un dépôt à la base de données.
Ca je sais pas faire.

En dernière extrémité (j'ai bien écrit en dernière extrémité), le paquet est ici :
Je suis aller voir pour telecharger celui qui corespond a mon pc (pentium 4) http://ftp.br.debian.org/debian/pool/main/v/v4l-utils/qv4l2_0.8.8-3_i386.deb
et en retour j'ai ceci:
Not Found The requested URL /debian/pool/main/v/v4l-utils/qv4l2_0.8.8-3_i386.deb was not found on this server.

Cdlt
 
F
francis75
Ouvrier
19 Sept 2013
431
Paris 10e
Bonjour,

C'est bizarre.
Video for Linux est un projet déjà ancien que je pensais installable sans problème, surtout sur une Débian.

1- Vous avez installé une Débian classique ou une Débian modifiée ?
Si possible me donner le lien du site sur lequel vous l'avez téléchargée.

2 - Pourriez-vous me donner la sortie de :
apt-cache search -n v4l

3 - Idem pour
cat /etc/apt/sources.list



Evitez les copies d'écran SVP. Un copier-coller permet de récupérer facilement la ligne.
sinon,
une redirection > fichier.txt renvoie la sortie dans un fichier.
Exemple :
cat /etc/apt/sources.list > /tmp/sortie.txt
 
F
francis75
Ouvrier
19 Sept 2013
431
Paris 10e
(suite)
Wheezy est une distribution ancienne plus supportée.
C'est peut-être la source du problème, si des dépôts sont fermés.
Cela peut être une bonne solution d'installer une distribution plus récente.
 
inmik
inmik
Apprenti
18 Sept 2010
242
Bonsoir,
j'ai abordé le sujet il y a quelques années...
Si ça peu aider ou donner une direction.


Bonne soirée.
 
S
serrepattes
Ouvrier
10 Nov 2008
465
bonsoir,
je ne sais pas si ça va t'avancer, je suis sous ubuntu, synaptic trouve bien le paquet.
cordialement
 
M
Mandrak
Apprenti
30 Jan 2015
221
Le Sud
  • Auteur de la discussion
  • #9
Bonsoir a tous

francis75
1- Vous avez installé une Débian classique ou une Débian modifiée ?
Si possible me donner le lien du site sur lequel vous l'avez téléchargée.
je l'ai charger sur http://linuxcnc.org/docs/2.7/html/getting-started/getting-linuxcnc.html

2 - Pourriez-vous me donner la sortie de :
apt-cache search -n v4l
Voici le retour:
root@nono:/home/nono# apt-cache search -n val
libeval-closure-perl - Perl module to safely and cleanly create closures via string eval
libparams-validate-perl - Perl module to validate parameters to Perl method/function calls

3 - Idem pour
cat /etc/apt/sources.list
root@nono:/home/nono# cat/etc/apt/sources.list
bash: cat/etc/apt/sources.list: Aucun fichier ou dossier de ce type

Wheezy est une distribution ancienne plus supportée.
C'est peut-être la source du problème, si des dépôts sont fermés.
Cela peut être une bonne solution d'installer une distribution plus récente.
Ha... j'utilise un vieux pc pour linuxcnc ca fonctionne tres bien avec Wheezy et j'ai peu de latence, je crains qu'avec un systeme d'exploitation recent mon pc n'es pas asser de ressouces.

osiver
Merci pour le lien, j'ai bien trouver les fichirs pour le i386 je les ai charger mais je ne sais pas comment les utilisés.

inmik
j'ai lu le post, tres instructif, merci.

serrepattes
Quel version a tu ?

Cdlt
 
F
francis75
Ouvrier
19 Sept 2013
431
Paris 10e
Bonjour,

Désolé pour la réponse tardive, hier soir, ma soirée de petit parisien a été bouleversée :smt022:smt022:smt022


J'ai installé linux CNC sur une machine virtuelle suivant le lien du msg #9, et j'ai l'impression que qv4l2 est disponible à l'installation. (je ne cherche pas à l'installer pour le moment). Mais il y a quelques modifications à faire.


1 - Après quelques tests, il semble que les dépôts de Wheezy aient été archivés, ce que je craignais.
Donc il faut modifier le fichier /etc/apt/sources.list

sudo su
cd /etc/apt
# Copie de sauvegarde
cp sources.list sources.listOLD

# editer sources.list
nano sources.list

# Supprimer tout le contenu du fichier et
# Copiez ce qui suit :

# sources.list
deb http://archive.debian.org/debian/ wheezy main contrib non-free
deb-src http://archive.debian.org/debian/ wheezy main contrib non-free
deb http://archive.debian.org/debian/ main contrib non-free
deb-src http://archive.debian.org/debian/ wheezy-updates main contrib non-free
deb http://archive.debian.org/debian/ wheezy/updates main contrib non-free
deb-src http://archive.debian.org/debian/ wheezy/updates main contrib non-free
# Fin sources.list


CTRL + o # pour enregistrer (o : la lettre en minuscule)
CTRL + x # Pour quitter, ou ouvrir un nouveau terminal et devenir root (sudo su)

# Mise à jour de la base de donnée des dépôts :
apt-get update
# Il y a des erreurs, je sais ...


2 - Quelques tests. Vérifiez que vous avez à peu près la même chose
apt-cache search -n v4l
# réponse ...
dov4l - program to set and query settings of video4linux devices
dv4l - Redirect V4L API to access a camcorder from a V4L program
gambas3-gb-v4l - Gambas video for Linux component
gem-plugin-dv4l - Graphics Environment for Multimedia - DV support
gem-plugin-v4l2 - Graphics Environment for Multimedia - V4L2 output support
libvideo-capture-v4l-perl - Perl interface to the Video4linux framegrabber interface
libv4l-dev - Collection of video4linux support libraries (development files)
qv4l2 - Graphical Qt v4l2 control panel
v4l-utils - Collection of command line video4linux utilities
v4l2loopback-dkms - Source for the v4l2loopback driver (DKMS)
v4l2loopback-source - Source for the v4l2loopback driver
v4l2loopback-utils - Commandline utilities for the for the v4l2-loopback module
v4l2ucp - Video for Linux 2 Universal Control Panel
v4l-conf - tool to configure video4linux drivers
libv4l-0 - ensemble de bibliothèques de gestion de video4linux
libv4lconvert0 - bibliothèque de conversion de format Video4linux


apt-cache search -n qv4l2
# réponse ...
qv4l2 - Graphical Qt v4l2 control panel


# J'essaie de télécharger qv4l2 (pas envie de l'installer)
cd /tmp
apt-get download qv4l2
# réponse ...
Réception de : 1 Téléchargement de qv4l2 0.8.8-3 [81,5 kB]
81,5 ko réceptionnés en 0s (456 ko/s)

ls -al
# réponse ...au moins la ligne qui suit
-rw-r--r-- 1 root root 81466 juin 25 2012 qv4l2_0.8.8-3_i386.deb


Si ça se passe ainsi pour vous, vous pourriez tenter l'installation de qv4l2 :
apt-get install v4l-utils
apt-get install qv4l2

J'espère que ce message un peu long va vous aider et sera compréhensible. Cependant je n'ai aucune connaissance de cette distribution.Linux.

Conseil
=======
Copiez-collez les lignes de commande qui précèdent, mais ne les réécrivez pas, car sinon vous allez comme tout le monde y glisser des erreurs :)
 
Dernière édition:
M
Mandrak
Apprenti
30 Jan 2015
221
Le Sud
  • Auteur de la discussion
  • #14
Bonsoir a tous
francis75
Désolé pour la réponse tardive, hier soir, ma soirée de petit parisien a été bouleversée
Je ne suis pas a Paris mais j'ai été tous aussi boulversée.

1 - Après quelques tests, il semble que les dépôts de Wheezy aient été archivés, ce que je craignais.
Donc il faut modifier le fichier /etc/apt/sources.list

sudo su
cd /etc/apt
# Copie de sauvegarde
cp sources.list sources.listOLD
Bon ca commence mal, soit je suis un blaireau et j'y comprend rien de rien, soit il y a un truc....:mad:
sudo su
root@nono:/home/nono# cd/etc/apt
bash: cd/etc/apt: Aucun fichier ou dossier de ce type

J'ai quand meme essayer
root@nono:/home/nono# cp sources.list sources.listOLD
cp: impossible d'évaluer « sources.list »: Aucun fichier ou dossier de ce type

Je me suis arreté la.

Gaston48
Merci pour le lien.

Cdlt
 
F
francis75
Ouvrier
19 Sept 2013
431
Paris 10e
root@nono:/home/nono# cd/etc/apt
bash: cd/etc/apt: Aucun fichier ou dossier de ce type
Et les espaces ??
cd /etc/apt
et pas
cd/etc/apt

Ne retapez pas les commandes à la main. Copiez et collez
 
M
Mandrak
Apprenti
30 Jan 2015
221
Le Sud
  • Auteur de la discussion
  • #16
Re Bonsoir Francis75
Bon j'y suis arrivé par un autre moyen
Menu des applications->Systeme->Gestionnaire de mises a jour->Setting->Other Software->Add...-> effacer ce qu'il y avais et remplacer par les liens que vous m'avez donner, fermer et lancer check.

Il y a une multidude de mise a jour proposé je ne les ai pas installé car je ne sais pas a qui ca correpond

Je suis retourné dans le Terminal et repris les etapes a apt-cache search -n v4l.
tout c'est bien afficher comme vous léavez indiqué, tout le reste de la procedur a bien fonctionner.
Il ce fait tard je verrais demain la suite.
Merci infiniment pour le coup de pouce.
Bonne fin de soirée.
Cdlt
 
F
francis75
Ouvrier
19 Sept 2013
431
Paris 10e
C'est bon signe !

Effectivement,
Si vous êtes content de votre système, ne faites pas de mise à jour ...
 
M
Mandrak
Apprenti
30 Jan 2015
221
Le Sud
  • Auteur de la discussion
  • #18
Bonjour a tous

francis75
Et les espaces ?? cd /etc/apt et pas cd/etc/apt
Je n'avais pas vu, punaise quand on connais pas ca donne mal a la tête.

La camera est reconnue par v4l2 ca sa fonctionne.
Maintenant il me reste a l'intégré a l'interface Gmoccapy, la ca se complique, du moins pour mes maigre connaissance,
Dans le post du forum de linuxcnc "CamView for Wheesy and Jessie" il es indiqué:

Cinquième étape: Téléchargez le fichier zip joint et décompressez-le
Vous aurez besoin des fichiers suivants:
camview.py
camview.glade
hal_python.xml
hal_pythonplugin.py

Ca c'est Ok

Faites une sauvegarde de vos fichiers
hal_python.xml
hal_pythonplugin.py
Ils sont dans les répertoires suivants:
/usr/lib/pymodules/python2.7/gladevcp
/ usr / share / pyshared / gladevcp

Pour hal_phython.xml je l'ai pas trouvé.
Pour hal_pythonplugin.py je l'ai trouvé

copie:
camview.glade dans votre répertoire Config
gmoccapy_with_user_tabs.ini ne montre que l'exemple des commandes incorporées, vous n'en avez pas besoin
copie
camview.py
hal_python.xml
hal_pythonplugin.py
vers /usr/lib/pymodules/python2.7/gladevcp
et aussi à
/ usr / share / pyshared / gladevcp

Bon la.... ca ce complique je n'arrive pas a copier ou déplacer les fichiers en questions sans passer par le terminal, car approprie les dossiers système sont protégé, et par le terminal je n'y arrive pas.
J'ai lu qu'il fallait utilisé en root la commande mv ou cp, ce que j'ai essayer de faire, mais apparemment je doit faire une ou des erreurs quelques part.

Ce que j'ai fais:
root@nono:/home/nono# mv camview/user/lib/pymodules/python2.7/gladevcp

me renvoi
mv: opérande du fichier cible manquant apres < camview/user/lib/pymodules/python2.7/gladevcp >

Bonne journée.
Cdlt
 
osiver
osiver
Compagnon
7 Sept 2013
12 251
Ce que j'ai fais:
root@nono:/home/nono# mv camview/user/lib/pymodules/python2.7/gladevcp

me renvoi
opérande du fichier cible manquant apres < camview/user/lib/pymodules/python2.7/gladevcp >
Ce qu'il y a de bien avec Linux, c'est que les erreurs (entre autres) sont très bien expliquées.
ici :
- "mv:" la commande que vous vouliez utiliser, s'attendait à trouver une destination après "camview/user/lib/pymodules/python2.7/gladevcp"
Ce qui est parfaitement logique.
Utilisation : mv [OPTION]... [-T] SOURCE DEST
ou : mv [OPTION]... SOURCE... RÉPERTOIRE
Attention aussi aux Majuscules-minuscules, tout compte, l'option -T n'est pas identique à l'option -t
 
Dernière édition:
G
gaston48
Compagnon
26 Fev 2008
9 697
59000
Bonjour,
Au lieu de lancer tes applications comme d'habitude, en cliquant, à savoir, le gestionnaire de fichier Thunar, ... gedit etc
tu les lances dans le terminal avec sudo
sudo thunar ... sudo gedit etc
 
M
Mandrak
Apprenti
30 Jan 2015
221
Le Sud
  • Auteur de la discussion
  • #21
Re bonjour a tous
osiver
Merci
Apres trois boites de doliprane j'y suis arrivé :mrgreen:, pas simple linux quand on y met les doigts une fois l'an.

gaston48
il est vrai que cliqué est plus facile; je ne suis pas vraiment a l'aise avec un clavier et un doigt...

Voici ma petite contribution pour ceux comme moi galère a installer une camera dans gmoccapy,

En 1: pour les nuls et les moins nuls, suivre ce poste depuis le debut (merci au passage a francis75)
En 2: suivre les instruction de ce post.
En 3: Pour ceux comme moi qui on lancé linuxcnc et qui n'avais pas la cam a l'ecran, suivre ce post
La camera utilisé acheté sur labai.
Le systeme d'exploitation est dans le titre de ce post.

469628


Merci a francis75, gaston48, osiver, inmik, serrepattes pour leur participation.

Cdlt
 
Haut